#ifndef _BALLSENSOR_H_
#define _BALLSENSOR_H_

#include "../hal/board.h"

// Anzahl der Ballsensoren
#define NUM_BALLSENSOR 8

extern Board board;

class Ballsensor
{
private:
	int winkel[NUM_BALLSENSOR];
	int ballwinkel;
public:
	Ballsensor();
	~Ballsensor();
	
	int GetBallwinkel(); // Gibt den aktuellen Winkel vom Ball zurück
	void Aktualisieren(); // Aktualisiert die Variable
};

#endif
